# cedana

Root command for Cedana

## Synopsis

```
 ________  _______   ________  ________  ________   ________
|\   ____\|\  ___ \ |\   ___ \|\   __  \|\   ___  \|\   __  \
\ \  \___|\ \   __/|\ \  \_|\ \ \  \|\  \ \  \\ \  \ \  \|\  \
 \ \  \    \ \  \_|/_\ \  \ \\ \ \   __  \ \  \\ \  \ \   __  \
  \ \  \____\ \  \_|\ \ \  \_\\ \ \  \ \  \ \  \\ \  \ \  \ \  \
   \ \_______\ \_______\ \_______\ \__\ \__\ \__\\ \__\ \__\ \__\
    \|_______|\|_______|\|_______|\|__|\|__|\|__| \|__|\|__|\|__|
```

Instance Brokerage, Orchestration and Migration System. Property of Cedana, Corp.

v0.9.279

## Options

```
      --address string      address to use (host:port for TCP, path for UNIX, cid:port for VSOCK)
      --config string       one-time config JSON string (merge with existing config)
      --config-dir string   custom config directory
  -h, --help                help for cedana
      --profiling           enable profiling/show profiling data
      --protocol string     protocol to use (TCP, UNIX, VSOCK)
```

## SEE ALSO

* [cedana attach](/daemon/references/cli/cedana_attach.md) - Attach stdin/out/err to a process/container
* [cedana check](https://github.com/cedana/cedana/blob/main/docs/references/cli/cedana_check.md) - Health check
* [cedana checkpoint](/daemon/references/cli/cedana_checkpoint.md) - Manage job checkpoints (alias of `job checkpoint`)
* [cedana checkpoints](/daemon/references/cli/cedana_checkpoints.md) - List all checkpoints for a job (alias of `checkpoint list <JID>`)
* [cedana completion](/daemon/references/cli/cedana_completion.md) - Generate the autocompletion script for the specified shell
* [cedana daemon](/daemon/references/cli/cedana_daemon.md) - Manage the daemon
* [cedana delete](/daemon/references/cli/cedana_delete.md) - Delete a managed process/container (job) (alias of `job delete <JID>...`)
* [cedana dump](/daemon/references/cli/cedana_dump.md) - Dump a container/process
* [cedana dump-vm](https://github.com/cedana/cedana/blob/main/docs/references/cli/cedana_dump-vm.md) - Dump a VM
* [cedana exec](/daemon/references/cli/cedana_exec.md) - Run a managed process (job) (alias of `run process <path> [args...]`)
* [cedana features](/daemon/references/cli/cedana_features.md) - Show feature matrix of plugins (alias of `plugin features [plugin]...`)
* [cedana freeze](https://github.com/cedana/cedana/blob/main/docs/references/cli/cedana_freeze.md) - Freeze a container/process
* [cedana job](/daemon/references/cli/cedana_job.md) - Manage jobs
* [cedana jobs](/daemon/references/cli/cedana_jobs.md) - List all managed processes/containers (jobs) (alias of `job list`)
* [cedana k8s](https://github.com/cedana/cedana/blob/main/docs/references/cli/cedana_k8s.md) - Helper for setting up and running in Kubernetes
* [cedana kill](/daemon/references/cli/cedana_kill.md) - Kill a managed process/container (job) (alias of `job kill <JID>...`)
* [cedana manage](/daemon/references/cli/cedana_manage.md) - Manage an existing/upcoming process/container (create a job)
* [cedana plugin](/daemon/references/cli/cedana_plugin.md) - Manage plugins
* [cedana plugins](/daemon/references/cli/cedana_plugins.md) - List plugins (specify plugin @ to filter) (alias of `plugin list [plugin]...`)
* [cedana ps](/daemon/references/cli/cedana_ps.md) - List all managed processes/containers (jobs) (alias of `job list`)
* [cedana query](/daemon/references/cli/cedana_query.md) - Query containers/processes
* [cedana restore](/daemon/references/cli/cedana_restore.md) - Restore a container/process
* [cedana run](/daemon/references/cli/cedana_run.md) - Run a managed process/container (create a job)
* [cedana unfreeze](https://github.com/cedana/cedana/blob/main/docs/references/cli/cedana_unfreeze.md) - Unfreeze a container/process


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cedana.ai/daemon/references/cli/cedana.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
